aboutsummaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-02-04 09:36:50 +0100
committerJustin Lecher <jlec@gentoo.org>2015-02-04 09:36:50 +0100
commit7a4cef5af00c759a893ac46a71e11142e88515b1 (patch)
tree235eaf4b8918fc2b3a6c3e4c36760009fa879068 /eclass
parentsci-biology/tagdust: new package (diff)
parentsci-biology/embassy-meme: Bump eclass, Drop old (diff)
downloadsci-7a4cef5af00c759a893ac46a71e11142e88515b1.tar.gz
sci-7a4cef5af00c759a893ac46a71e11142e88515b1.tar.bz2
sci-7a4cef5af00c759a893ac46a71e11142e88515b1.zip
Merge branch 'SoapZaNet-master'
* SoapZaNet-master: (34 commits) sci-biology/embassy-meme: Bump eclass, Drop old empty package empty package sci-biology/embassy-mse: Bump eclass, drop old sci-biology/embassy-iprscan: Bump eclass, Drop old sci-biology/embassy-phylipnew: Bump eclass, drop old sci-biology/embassy-hmmer: Bump eclass, Drop old sci-biology/embassy-signature: Bump eclass, drop old sci-biology/embassy-esim4: Bump eclass, Drop old sci-biology/embassy-structure: Bump eclass, drop old sci-biology/embassy-emnu: Bump eclass, Drop old sci-biology/embassy-topo: Bump eclass, drop old sci-biology/embassy-domsearch: Bump eclass, Drop old sci-biology/embassy-vienna: Bump eclass, drop old sci-biology/embassy-domalign: Bump eclass, Drop old sci-biology/embassy-domainatrix: Bump eclass, Drop old sci-biology/embassy-clustalomega: Bump eclass sci-biology/embassy-cbstools: Bump eclass, Drop old sci-biology/embassy: Drop old sci-biology/emboss: Drop old ...
Diffstat (limited to 'eclass')
-rw-r--r--eclass/emboss-r1.eclass (renamed from eclass/emboss.eclass)89
1 files changed, 49 insertions, 40 deletions
diff --git a/eclass/emboss.eclass b/eclass/emboss-r1.eclass
index aff93dfd2..b185802da 100644
--- a/eclass/emboss.eclass
+++ b/eclass/emboss-r1.eclass
@@ -1,27 +1,25 @@
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/embassy.eclass,v 1.17 2008/11/03 22:17:50 ribosome Exp $
+# $Header: $
-# Creator of the original eclass
-# Author Olivier Fisette <ofisette@gmail.com>
-#
-# Author of the next generation eclass
-# Justin Lecher <jlec@gentoo.org>
-
-# @ECLASS: emboss.eclass
+# @ECLASS: emboss-r1.eclass
# @MAINTAINER:
# sci-biology@gentoo.org
# jlec@gentoo.org
+# ted.tanberry@gmail.com
+# @AUTHOR:
+# Original author: Author Olivier Fisette <ofisette@gmail.com>
+# Next gen author: Justin Lecher <jlec@gentoo.org>
+# Next gen author: Ted Tanberry <ted.tanberry@gmail.com>
# @BLURB: Use this to easy install EMBOSS and EMBASSY programs (EMBOSS add-ons).
# @DESCRIPTION:
-# The inheriting ebuild must set EAPI=4 and provide EBO_DESCRIPTION before the inherit line.
+# The inheriting ebuild must set at least EAPI=5 and provide EBO_DESCRIPTION before the inherit line.
# KEYWORDS should be set. Additionally "(R|P)DEPEND"encies and other standard
# ebuild variables can be extended (FOO+=" bar").
-# Default installation of following DOCS="AUTHORS ChangeLog NEWS README"
#
# Example:
#
-# EAPI="4"
+# EAPI="5"
#
# EBO_DESCRIPTION="applications from the CBS group"
#
@@ -37,22 +35,21 @@
#
# Defaults to the upstream name of the module.
-# @ECLASS-VARIABLE: EBO_EAUTORECONF
-# @DESCRIPTION:
-# Set to 'no', if you don't want eautoreconf to be run after patching.
-: ${EBO_EAUTORECONF:=yes}
-
# @ECLASS-VARIABLE: EBO_EXTRA_ECONF
# @DEFAULT_UNSET
# @DESCRIPTION:
# Extra config options passed to econf, similar to EXTRA_ECONF.
case ${EAPI:-0} in
- 4) ;;
- *) die "this eclass doesn't support < EAPI 4" ;;
+ 5) ;;
+ *) die "this eclass doesn't support < EAPI 5" ;;
esac
-inherit autotools eutils
+if [[ -f "${FILESDIR}"/${P}_fix-build-system.patch ]]; then
+ AUTOTOOLS_AUTORECONF=1
+fi
+
+inherit autotools-utils eutils flag-o-matic
HOMEPAGE="http://emboss.sourceforge.net/"
LICENSE="LGPL-2 GPL-2"
@@ -73,6 +70,7 @@ DEPEND="
RDEPEND="${DEPEND}"
if [[ ${PN} == embassy-* ]]; then
+ EMBASSY_PACKAGE=yes
# The EMBASSY package name, retrieved from the inheriting ebuild's name
EN=${PN:8}
# The full name and version of the EMBASSY package (excluding the Gentoo
@@ -86,19 +84,25 @@ if [[ ${PN} == embassy-* ]]; then
S="${WORKDIR}"/${EF}
fi
-DOCS="AUTHORS ChangeLog NEWS README"
-
# @FUNCTION: emboss_src_prepare
# @DESCRIPTION:
-# Does following things
+# Does the following things
#
-# 1. Patches with "${FILESDIR}"/${PF}.patch, if present
-# 2. Runs eautoreconf, unless EBO_EAUTORECONF is set to no
+# 1. Patches with "${FILESDIR}"/${P}_fix-build-system.patch, if present,
+# and eventually runs eautoreconf in autotools-utils
+# 2. Patches with "${FILESDIR}"/${PF}.patch, if present
+# 3. Applies ${PATCHES[@]} via autotools-utils.eclass
#
-emboss_src_prepare() {
- [[ -f ${FILESDIR}/${PF}.patch ]] && epatch "${FILESDIR}"/${PF}.patch
- [[ ${EBO_EAUTORECONF} == yes ]] && eautoreconf
+emboss-r1_src_prepare() {
+ if [[ -f "${FILESDIR}"/${P}_fix-build-system.patch ]]; then
+ mv configure.{in,ac} || die
+ epatch "${FILESDIR}"/${P}_fix-build-system.patch
+ fi
+
+ [[ -f "${FILESDIR}"/${PF}.patch ]] && epatch "${FILESDIR}"/${PF}.patch
+
+ autotools-utils_src_prepare
}
# @FUNCTION: emboss_src_configure
@@ -117,19 +121,24 @@ emboss_src_prepare() {
# --docdir="${EPREFIX}/usr/share/doc/${PF}"
# ${EBO_EXTRA_ECONF}
-emboss_src_configure() {
- econf \
- $(use_with X x) \
- $(use_with png pngdriver) \
- $(use_with pdf hpdf) \
- $(use_with mysql mysql) \
- $(use_with postgres postgresql) \
- $(use_enable static-libs static) \
- --enable-large \
- --without-java \
- --enable-systemlibs \
- --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+emboss-r1_src_configure() {
+ local myeconfargs=(
+ $(use_with X x)
+ $(use_with png pngdriver "${EPREFIX}/usr")
+ $(use_with pdf hpdf "${EPREFIX}/usr")
+ $(use_with mysql mysql "${EPREFIX}/usr/bin/mysql_config")
+ $(use_with postgres postgresql "${EPREFIX}/usr/bin/pg_config")
+ --enable-large
+ --without-java
+ --enable-systemlibs
+ --docdir="${EPREFIX}/usr/share/doc/${PF}"
${EBO_EXTRA_ECONF}
+ )
+
+ [[ ${EMBASSY_PACKAGE} == yes ]] && \
+ append-cppflags "-I${EPREFIX}/usr/include/emboss"
+
+ autotools-utils_src_configure
}
EXPORT_FUNCTIONS src_prepare src_configure